Package org.eclipse.cdt.core

# Interface ICExtension

All Known Subinterfaces:
  `IPathEntryStore`

All Known Implementing Classes:
  `AbstractCExtension`, `CygwinPEParser64`, `ElfParser`, `GNUElfParser`, `GNUPEParser64`, `MachOParser64`, `PEParser64`, `ScannerProvider`, `SOMParser`, `XCOFF32Parser`

public interface ICExtension
Represents an executable extension in the C model hierarchy.

Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

## Method Summary

Modifier and Type
Method
Description
`ICConfigExtensionReference`
`getConfigExtensionReference()`
`ICExtensionReference`
`getExtensionReference()`
Deprecated.
Use `getConfigExtensionReference()` instead.
`org.eclipse.core.resources.IProject`
`getProject()`

## Method Details

### getProject

org.eclipse.core.resources.IProject getProject()

### getExtensionReference

@Deprecated ICExtensionReference getExtensionReference()
Deprecated.
Use `getConfigExtensionReference()` instead.

Restriction:
  This method is not intended to be referenced by clients.

### getConfigExtensionReference

ICConfigExtensionReference getConfigExtensionReference()

Since:
  5.2